Bug 795945 - LinLog build does not respect build flags.
LinLog build does not respect build flags.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: LinLog (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Shaw
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-21 15:44 EST by Richard Shaw
Modified: 2013-02-01 23:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-01 23:21:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
git diff (1.74 KB, patch)
2012-02-21 15:44 EST, Richard Shaw
no flags Details | Diff
Updated git diff (1.82 KB, patch)
2012-07-03 12:01 EDT, Richard Shaw
no flags Details | Diff

  None (edit)
Description Richard Shaw 2012-02-21 15:44:46 EST
Created attachment 564782 [details]
git diff

I was looking to see if I could make some improvements to make starting LinLog easier and noticed that the build is not currently respecting the build flags fedora requires.

This is due to the qmake config option is using "debug" instead of "release". 

I have fixed this and created a git diff (attached).

I also tweaked the %files section so it does not attempt to add the sql files twice and included the sql file to help people update from version 0.3 to 0.4.

Thanks,
Richard
Comment 1 Richard Shaw 2012-07-03 12:01:15 EDT
Created attachment 596004 [details]
Updated git diff
Comment 2 Fedora End Of Life 2013-01-16 12:06:54 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Richard Shaw 2013-01-16 13:13:01 EST
The problem still exists.
Comment 4 Fedora Update System 2013-01-17 09:06:45 EST
LinLog-0.4-10.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/LinLog-0.4-10.fc17
Comment 5 Fedora Update System 2013-01-17 09:07:01 EST
LinLog-0.4-10.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/LinLog-0.4-10.fc18
Comment 6 Fedora Update System 2013-01-17 09:07:16 EST
LinLog-0.4-10.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/LinLog-0.4-10.fc16
Comment 7 Fedora Update System 2013-01-19 21:53:27 EST
Package LinLog-0.4-10.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing LinLog-0.4-10.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0990/LinLog-0.4-10.fc18
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-02-01 23:21:20 EST
LinLog-0.4-10.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-02-01 23:32:23 EST
LinLog-0.4-10.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-02-01 23:35:32 EST
LinLog-0.4-10.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.